## deepin-shortcut-viewer 5.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(deepin-shortcut-viewer VERSION 5.0.5)

# 提高CMake最低版本要求，因为Qt6需要更高版本的CMake
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

# 设置安装路径前缀
if (CMAKE_INSTALL_PREFIX_INITIALIZED_FALSY)
    set(CMAKE_INSTALL_PREFIX /usr)
endif()

# 查找组件
find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets Network)
find_package(Dtk6 COMPONENTS Core Widget  REQUIRED)

# 添加定义
add_definitions(-DQT_MESSAGELOGCONTEXT)

# 源文件
set(SOURCES
    main.cpp
    view/mainwidget.cpp
    commandlinemanager.cpp
    singleapplication.cpp
    view/shortcutitem.cpp
    view/shortcutview.cpp
)

# 头文件
set(HEADERS
    view/mainwidget.h
    commandlinemanager.h
    singleapplication.h
    view/shortcutitem.h
    view/shortcutview.h
)

# 创建可执行文件
add_executable(${PROJECT_NAME} ${SOURCES} ${HEADERS})

# 链接库
target_link_libraries(${PROJECT_NAME} PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
    Qt6::Network
    Dtk6::Core
    Dtk6::Widget
)

# 包含目录
target_include_directories(${PROJECT_NAME} PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}
)

# 安装目标
install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

## deepin-shortcut-viewer 1.3.4

=== debian/changelog ===
deepin-shortcut-viewer (1.3.4-1) unstable; urgency=medium

  * New upstream release.
    + Backport one necessary upstream patch.
  * Bump debhelper compat to v11.
  * Bump Standards-Version to 4.1.3.
  * d/control: Use Salsa platform to host VCS.
  * d/control: Enable building on non-linux platforms.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 08 Feb 2018 22:50:10 +0800

deepin-shortcut-viewer (1.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #883135)

 -- Boyuan Yang <073plan@gmail.com>  Thu, 30 Nov 2017 16:53:40 +0800

=== debian/control ===
Source: deepin-shortcut-viewer
Section: utils
Priority: optional
Maintainer: Debian Deepin Packageing Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
Build-Depends:
 debhelper (>= 11),
 libdtkcore-dev,
 libdtkwidget-dev,
 pkg-config,
 qt5-qmake,
 qtbase5-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/linuxdeepin/deepin-shortcut-viewer
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-shortcut-viewer.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-shortcut-viewer

Package: deepin-shortcut-viewer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Pop-up shortcut viewer for Deepin applications
 Deepin-shortcut-viewer is a standalone binary that helps Deepin applications
 pop up their shortcut information on screen in a unified appearance.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT := 5

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

override_dh_missing:
	dh_missing --fail-missing

## deepin-shortcut-viewer 1.3.5

=== debian/changelog ===
deepin-shortcut-viewer (1.3.5-2) unstable; urgency=medium

  * Rebuild against gcc 8.2 and Qt 5.11.2.
  * debian/control:
    + Fix typo in maintainer team name.
    + Update my uploader email address and use the @debian.org one.
    + Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Oct 2018 21:19:51 -0400

deepin-shortcut-viewer (1.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Revert maintainer address to pkg-deepin-devel.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 18 May 2018 09:20:54 +0800

deepin-shortcut-viewer (1.3.4-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Use team+pkg-deepin@tracker.debian.org in maintainer field.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 20 Apr 2018 23:51:46 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: deepin-shortcut-viewer
 Section: utils
 Priority: optional
-Maintainer: Debian Deepin Packageing Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
 Build-Depends:
  debhelper (>= 11),
  libdtkcore-dev,
@@ -11,7 +11,7 @@
  pkg-config,
  qt5-qmake,
  qtbase5-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/linuxdeepin/deepin-shortcut-viewer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-shortcut-viewer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-shortcut-viewer

## deepin-shortcut-viewer 5.0.0

=== debian/changelog ===
deepin-shortcut-viewer (5.0.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:37:47 +0100

deepin-shortcut-viewer (5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Bump debhelper compat to v12.
    + Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Fri, 18 Oct 2019 15:40:50 -0400

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (=12),
  libdtkcore-dev,
  libdtkwidget-dev,
  pkg-config,
  qt5-qmake,
  qtbase5-dev,
-Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: https://github.com/linuxdeepin/deepin-shortcut-viewer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-shortcut-viewer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-shortcut-viewer

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,17 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+# Uncomment this to turn on verbose mode.
+# export DH_VERBOSE=1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# see ENVIRONMENT in dpkg-buildflags(1)
+# package maintainers to append CFLAGS
+#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+# package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 export QT_SELECT := 5
 
 %:

## deepin-shortcut-viewer 5.0.1

=== debian/changelog ===
deepin-shortcut-viewer (5.0.1-1) unstable; urgency=medium

  * New upstream stable release (5.0.1, series 1010)
  * debian/patches: Dropped, upstream merged dtk5 fixes.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Jan 2021 13:42:34 -0500

deepin-shortcut-viewer (5.0.0-2) unstable; urgency=medium

  * debian/patches:
    + Add patch to fix build with dtk5.
  * debian/control:
    + Add Arun Kumar Pariyar to uploaders list.
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.1.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Mon, 30 Nov 2020 19:22:46 +0545

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
+ Arun Kumar Pariyar <openarungeek@gmail.com>,
 Build-Depends:
- debhelper-compat (=12),
- libdtkcore-dev,
+ debhelper-compat (= 13),
+ libdtkcore-dev (>= 5),
  libdtkwidget-dev,
  pkg-config,
  qt5-qmake,
  qtbase5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/linuxdeepin/deepin-shortcut-viewer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-shortcut-viewer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-shortcut-viewer

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%deepin-shortcut-viewer-$1.tar.gz%" \
 https://github.com/linuxdeepin/deepin-shortcut-viewer/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## deepin-shortcut-viewer 5.0.3

=== debian/changelog ===
deepin-shortcut-viewer (5.0.3-1) unstable; urgency=medium

  * Upload to unstable. 

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Nov 2021 00:13:38 -0500

deepin-shortcut-viewer (5.0.3-1~exp1) experimental; urgency=medium

  * New upstream version 5.0.3.
  * debian/control: Tighten build dependency versions.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Nov 2021 11:08:48 -0500

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  Arun Kumar Pariyar <openarungeek@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
- libdtkcore-dev (>= 5),
- libdtkwidget-dev,
+ libdtkcore-dev (>= 5.5.17),
+ libdtkwidget-dev (>= 5.5.17),
  pkg-config,
  qt5-qmake,
  qtbase5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/linuxdeepin/deepin-shortcut-viewer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-shortcut-viewer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-shortcut-viewer

## deepin-shortcut-viewer 5.0.6

=== debian/changelog ===
deepin-shortcut-viewer (5.0.6-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:46:07 +1100

deepin-shortcut-viewer (5.0.6-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:13:31 +0000

deepin-shortcut-viewer (5.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Jul 2022 14:18:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: deepin-shortcut-viewer
 Section: utils
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
  Arun Kumar Pariyar <openarungeek@gmail.com>,
@@ -13,7 +14,7 @@
  qt5-qmake,
  qtbase5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/linuxdeepin/deepin-shortcut-viewer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-shortcut-viewer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-shortcut-viewer

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic


export QT_SELECT := 5

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

## deepin-shortcut-viewer 5.0.7

=== debian/changelog ===
deepin-shortcut-viewer (5.0.7-1) UNRELEASED; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Jun 2022 13:55:12 +0800

deepin-shortcut-viewer (5.0.7-1) unstable; urgency=medium

  * V23 branch

 -- Deepin Packages Builder <packages@deepin.com>  Web, 22 Jun 2022 16:27:54 +0800

deepin-shortcut-viewer (1.0-1) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 01 Aug 2016 16:27:54 +0800

## deepin-shortcut-viewer 5.0.9

=== debian/changelog ===
deepin-shortcut-viewer (5.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 02 Dec 2024 21:52:19 -0500

=== debian/control ===
Source: deepin-shortcut-viewer
Section: utils
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 libdtkcore-dev (>= 5.5.17),
 libdtkwidget-dev (>= 5.5.17),
 pkgconf,
 qt5-qmake,
 qtbase5-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/linuxdeepin/deepin-shortcut-viewer
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-shortcut-viewer.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-shortcut-viewer
Description: Pop-up shortcut viewer for Deepin applications
 Deepin-shortcut-viewer is a standalone binary that helps Deepin applications
 pop up their shortcut information on screen in a unified appearance.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: deepin-shortcut-viewer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

## deepin-shortcut-viewer 5.5.2

=== debian/changelog ===
deepin-shortcut-viewer (5.5.2) unstable; urgency=medium

  *just update version 

 -- zhangsheng <zhangsheng@uniontech.com>  Wed, 08 Jan 2025 10:12:07 +0800

deepin-shortcut-viewer (5.5.1) unstable; urgency=medium

  * add libdtk6widget-dev
  * 

 -- zhangsheng <zhangsheng@uniontech.com>  Wed, 08 Jan 2025 09:45:24 +0800

deepin-shortcut-viewer (5.5.0) unstable; urgency=medium

  * adapto to Qt6

 -- zhangsheng <zhangsheng@uniontech.com>  Tue, 31 Dec 2024 10:04:59 +0800

deepin-shortcut-viewer (5.0.9) unstable; urgency=medium

  * ui layout

 -- zhangsheng <zhangsheng@uniontech.com>  Wed, 03 Apr 2024 17:21:17 +0800

deepin-shortcut-viewer (5.0.8) unstable; urgency=medium

  * ui layout

 -- zhangsheng <zhangsheng@uniontech.com>  Wed, 27 Mar 2024 15:52:19 +0800

deepin-shortcut-viewer (1.0.0) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 01 Aug 2016 16:27:54 +0800

=== debian/control ===
Source: deepin-shortcut-viewer
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9),
               pkg-config,
               cmake,
               qt6-base-dev,
               qt6-base-private-dev,
               libdtk6widget-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-shortcut-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shortcut viewer tools
 A shortcut viewer tool for deepin.
